﻿<UserControl
  x:Class="SimHub.ThrustmasterLEDControllerPlugin.Controls.NightDayDetection"
  x:Name="nightDayDetection"
  xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
  xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
  xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
  xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
  xmlns:local="clr-namespace:SimHub.ThrustmasterLEDControllerPlugin.Controls"
  xmlns:styles="clr-namespace:SimHub.Plugins.Styles;assembly=SimHub.Plugins"
  xmlns:ui="clr-namespace:SimHub.Plugins.UI;assembly=SimHub.Plugins"
  mc:Ignorable="d"
  d:DataContext="{d:DesignInstance Type=local:NightDayDetection}"
  d:DesignWidth="500">
  
  <Expander Expanded="OnExpanded" Collapsed="OnCollapsed">
    <Expander.Header>
      <Label Content="Automatic Day/Night Detection" />
    </Expander.Header>
    <StackPanel Orientation="Vertical">
      <TextBlock TextWrapping="Wrap" TextAlignment="Center" FontWeight="Bold" Margin="0,10,0,10">
        THIS PLUGIN DOES NOT SEND YOUR INFORMATION ANYWHERE
      </TextBlock>
      <TextBlock TextWrapping="Wrap">
        <TextBlock.Inlines>
          I <Span FontWeight="Bold">do not</Span> perform any sort of data collection using this plugin.
          <LineBreak />
          <LineBreak />
          If you provide your location here, it will only be saved in the plugin's main configuration file in order to be used across application restarts.
          This plugin implements the relevant parts of <Hyperlink NavigateUri="https://github.com/Tronald/CoordinateSharp" RequestNavigate="OpenLink" ToolTip="https://github.com/Tronald/CoordinateSharp">CoordinateSharp</Hyperlink> to determine sunrise/sunset for a given latitude/longitude.
        </TextBlock.Inlines>
      </TextBlock>
      <DockPanel>
        <Label
          Content="Sun Angle"
          ToolTip="The angle of the sun relative to the horizon at which point the sun is considered to have risen/set"
        />
        <ComboBox
          HorizontalAlignment="Right"
          ItemsSource="{Binding Path=SunAngles, ElementName=nightDayDetection}"
          SelectedItem="{Binding Path=SunAngle, ElementName=nightDayDetection}"
        />
      </DockPanel>
      <StackPanel Orientation="Vertical" Margin="0,10,0,10">
        <ui:TitledSlider
          Title="Latitude"
          Minimum="-90"
          Maximum="90"
          StringFormat="0.00"
          Value="{Binding Path=Latitude, Mode=TwoWay, ElementName=nightDayDetection}"
        />
        <ui:TitledSlider
          Title="Longitude"
          Minimum="-180"
          Maximum="180"
          StringFormat="0.00"
          Value="{Binding Path=Longitude, Mode=TwoWay, ElementName=nightDayDetection}"
        />
      </StackPanel>
      <TextBlock TextAlignment="Center">
        <TextBlock.Inlines>
          <Span FontWeight="Bold">Today's Sunrise/Sunset:</Span> <Run Text="{Binding Path=Sunrise, Mode=OneWay, ElementName=nightDayDetection}" /> - <Run Text="{Binding Path=Sunset, Mode=OneWay, ElementName=nightDayDetection}" />
          <LineBreak />
          <Span FontWeight="Bold">It is currently:</Span> <Run Text="{Binding Path=TimeOfDay, Mode=OneWay, ElementName=nightDayDetection}" />
          <LineBreak />
          <LineBreak />
          <Hyperlink
            NavigateUri="{Binding Path=OnlineCurrentLocationDaylight, ElementName=nightDayDetection}"
            RequestNavigate="OpenLink"
            ToolTip="{Binding Path=OnlineCurrentLocationDaylight, ElementName=nightDayDetection}"
          >
            Check official sunrise/sunset times for this location
          </Hyperlink>
        </TextBlock.Inlines>
      </TextBlock>
    </StackPanel>
  </Expander>
</UserControl>
